FLAC 1.3.3

Public Member Functions | Protected Member Functions | Protected Attributes | Friends | List of all members
FLAC::Metadata::Prototype Class Reference
FLAC C++ API » FLAC++/metadata.h: metadata interfaces » FLAC++/metadata.h: metadata object classes

`#include <metadata.h>`

Inheritance diagram for FLAC::Metadata::Prototype:

## Public Member Functions
virtual | ~Prototype ()
bool | is_valid () const
bool | get_is_last () const
::FLAC__MetadataType | get_type () const
uint32_t | get_length () const
void | set_is_last (bool)
| operator const ::FLAC__StreamMetadata * () const
bool | operator== (const Prototype &) const
bool | operator== (const ::FLAC__StreamMetadata &) const
bool | operator== (const ::FLAC__StreamMetadata *) const
bool | operator!= (const Prototype &) const
bool | operator!= (const ::FLAC__StreamMetadata &) const
bool | operator!= (const ::FLAC__StreamMetadata *) const

## Protected Member Functions
| Prototype (const Prototype &)
| Prototype (const ::FLAC__StreamMetadata &)
| Prototype (const ::FLAC__StreamMetadata *)
| Prototype (::FLAC__StreamMetadata *object, bool copy)
Prototype & | assign_object (::FLAC__StreamMetadata *object, bool copy)
virtual void | clear ()
Prototype & | operator= (const Prototype &)
Prototype & | operator= (const ::FLAC__StreamMetadata &)
Prototype & | operator= (const ::FLAC__StreamMetadata *)

## Protected Attributes
::FLAC__StreamMetadata * | object_

## Friends
class | SimpleIterator
class | Iterator

## Detailed Description

Base class for all metadata block types. See the overview for more.

## Constructor & Destructor Documentation

## ◆ Prototype()

FLAC::Metadata::Prototype::Prototype | ( | ::FLAC__StreamMetadata * | object,
|  | bool | copy
| ) |  |
| protected

Constructs an object with copy control. When copy is `true`, behaves identically to FLAC::Metadata::Prototype::Prototype(const ::FLAC__StreamMetadata *object). When copy is `false`, the instance takes ownership of the pointer and the FLAC__StreamMetadata object will be freed by the destructor.

Assertions:
  object != NULL

## ◆ ~Prototype()

virtual FLAC::Metadata::Prototype::~Prototype | ( |  | ) |
| virtual

Deletes the underlying FLAC__StreamMetadata object.

## Member Function Documentation

## ◆ operator=() [1/3]

Prototype& FLAC::Metadata::Prototype::operator= | ( | const Prototype & |  | ) |
| protected

Assign from another object. Always performs a deep copy.

Referenced by FLAC::Metadata::StreamInfo::operator=(), FLAC::Metadata::Padding::operator=(), FLAC::Metadata::Application::operator=(), FLAC::Metadata::SeekTable::operator=(), FLAC::Metadata::VorbisComment::operator=(), FLAC::Metadata::CueSheet::operator=(), FLAC::Metadata::Picture::operator=(), and FLAC::Metadata::Unknown::operator=().

## ◆ operator=() [2/3]

Prototype& FLAC::Metadata::Prototype::operator= | ( | const ::FLAC__StreamMetadata & |  | ) |
| protected

Assign from another object. Always performs a deep copy.

## ◆ operator=() [3/3]

Prototype& FLAC::Metadata::Prototype::operator= | ( | const ::FLAC__StreamMetadata * |  | ) |
| protected

Assign from another object. Always performs a deep copy.

## ◆ assign_object()

Prototype& FLAC::Metadata::Prototype::assign_object | ( | ::FLAC__StreamMetadata * | object,
|  | bool | copy
| ) |  |
| protected

Assigns an object with copy control. See Prototype(::FLAC__StreamMetadata *object, bool copy).

Referenced by FLAC::Metadata::StreamInfo::assign(), FLAC::Metadata::Padding::assign(), FLAC::Metadata::Application::assign(), FLAC::Metadata::SeekTable::assign(), FLAC::Metadata::VorbisComment::assign(), FLAC::Metadata::CueSheet::assign(), FLAC::Metadata::Picture::assign(), and FLAC::Metadata::Unknown::assign().

## ◆ clear()

virtual void FLAC::Metadata::Prototype::clear | ( |  | ) |
| protected virtual

Deletes the underlying FLAC__StreamMetadata object.

## ◆ get_is_last()

bool FLAC::Metadata::Prototype::get_is_last | ( |  | ) | const

Returns `true` if this block is the last block in a stream, else `false`.

Assertions:
  is_valid()

## ◆ get_type()

::FLAC__MetadataType FLAC::Metadata::Prototype::get_type | ( |  | ) | const

Returns the type of the block.

Assertions:
  is_valid()

## ◆ get_length()

uint32_t FLAC::Metadata::Prototype::get_length | ( |  | ) | const

Returns the stream length of the metadata block.

Note
  The length does not include the metadata block header, per spec.

Assertions:
  is_valid()

## ◆ set_is_last()

void FLAC::Metadata::Prototype::set_is_last | ( | bool |  | ) |

Sets the "is_last" flag for the block. When using the iterators it is not necessary to set this flag; they will do it for you.

Assertions:
  is_valid()

The documentation for this class was generated from the following file:

- include/FLAC++/metadata.h

Copyright (c) 2000-2009 Josh Coalson Copyright (c) 2011-2016 Xiph.Org Foundation |